﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication233.ViewModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication233
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        VM vm;
        public MainWindow()
        {
            InitializeComponent();
            vm = Application.Current.Resources["vm"] as VM;
            layoutroot.DataContext = vm;

        }

        private void XamComboEditor_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
           // MessageBox.Show(e.NewValue.ToString());

        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            //xgrid1.SelectedItems.Records.Clear();
            //xgrid1.SelectedItems.Cells.Clear();
            //xgrid1.ActiveRecord = null;

          //  xgrid1.ExecuteCommand(DataPresenterCommands.CommitChangesToAllRecords);
        }

      

        private void xgrid1_CellActivated(object sender, Infragistics.Windows.DataPresenter.Events.CellActivatedEventArgs e)
        {
         //   xgrid1.ActiveRecord.IsSelected = true;
        }

        private void CellValuePresenter_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            CellValuePresenter cvp = sender as CellValuePresenter;
            cvp.StartEditMode();
        }

        private void xgrid1_RecordsInViewChanged(object sender, Infragistics.Windows.DataPresenter.Events.RecordsInViewChangedEventArgs e)
        {
            if (vm.SelectAll)
            {
                Record[] rs = xgrid1.GetRecordsInView(false);
                foreach (Record r in rs)
                {
                    if (!xgrid1.Records[r.Index].IsSelected)
                    {
                        xgrid1.Records[r.Index].IsSelected = true;
                    }

                }
            }

        }

        private void xgrid1_SelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
        {
            if (xgrid1.SelectedItems.Records.Count < 2)
            {
                vm.SelectAll = false;
            }
        }

        private void xgrid1_SelectedItemsChanging(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangingEventArgs e)
        {
            if (e.NewSelection.Records.Count != xgrid1.SelectedItems.Records.Count)
            {
               
            }
        }
    }
}
